curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/customRole/{customRoleId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"cluster_permissions": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"permission": "VIEWER"
}
],
"project_permissions": [
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_name": "<string>",
"is_admin": false,
"permissions": [
{
"environment_type": "PRODUCTION",
"permission": "NO_ACCESS"
}
]
}
]
}Get an organization custom role
curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/customRole/{customRoleId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"cluster_permissions": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"permission": "VIEWER"
}
],
"project_permissions": [
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_name": "<string>",
"is_admin": false,
"permissions": [
{
"environment_type": "PRODUCTION",
"permission": "NO_ACCESS"
}
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Organization ID
Custom Role ID
Was this page helpful?